<script>
export default {
  props: ['title', 'modelValue'],
  emits: ['update:modelValue'],
  data: () => ({}),
  mounted() {},
  computed: {},
  methods: {},
}
</script>

<template>
  <label class="relative inline-flex items-center content-center mb-3">
    <input type="checkbox" :checked="modelValue" class="sr-only peer"
      @change="$emit('update:modelValue', $event.target.checked)">
    <div class="
    w-11 h-6 bg-gray-200
    peer-focus:outline-none peer-focus:ring-0 rounded-full peer dark:bg-gray-700 
    peer-checked:after:translate-x-full peer-checked:after:border-white 
    after:content-[''] after:absolute after:top-[1.5px] after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all 
    dark:border-gray-600 peer-checked:bg-blue-600"></div>
    <span class="ml-2 text-sm font-medium text-gray-900 dark:text-gray-300 leading-none align-middle pt-0.5">{{ title }}</span>
  </label>
</template>

<style lang="">

</style>
